Productsup

Get Bucket file list.

Sign in to run requests against the CDE API.
GET
/buckets/{bucketId}/files

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

bucketId*string
Formatuuid

Query Parameters

key?string

filter by a fragment of the file key

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/buckets/497f6eca-6276-4993-bfeb-53cbbbba6f08/files"
{
  "message": "successful operation",
  "data": [
    {
      "key": "new-object",
      "size": 7,
      "last-modified": "2026-01-02T03:04:05+00:00",
      "etag": "9a0364b9e99bb480dd25e1f0284c8555"
    },
    {
      "key": "second-file.txt",
      "size": 4,
      "last-modified": "2026-03-04T05:06:07+00:00",
      "etag": "1cb251ec0d568de6a929b520c4aed8d1"
    }
  ]
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Bucket not found."
}